Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class EPPXMLParser

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          com.verisign.epp.util.EPPXMLParser

    public class EPPXMLParser

extends javax.xml.parsers.DocumentBuilder

XML Parser class used for EPP parsing. This class is a subclass of `DocumentBuilder` and is a thin-wrapper around an initialized `DocumentBuilder` instance. The `EPPXMLParser` sets the required parser settings (i.e. Namespace aware, validating) and sets a standard error handler and entity resolver. Instances of `EPPXMLParser` can be polled, since the default constructor will do all of the initialization required for the parser to properly parse EPP XML messages.

Copyright (C) 2001 VeriSign, Inc.
Veri S ign Global Registry Services
505 Huntmar Park Dr.
Herndon, VA 20170

Version:
  $Revision: 1.2 $
Author:
  $Author: jgould $

Field Summary
`static java.lang.String` | `POOL` Name of the EPP XML Parser Pool managed by `GenericPoolManager`.

Constructor Summary
`EPPXMLParser()` Default constructor, which will create the contained `DocumentBuilder` and will set the default error handler (`EPPXMLErrorHandler`) and the default entity resolver (`EPPEntityResolver`).
`EPPXMLParser(boolean validateSchema)` Create a new EPPXMLParser with the specified validation setting.

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Delegates to the contained `DocumentBuilder` instance for behavior.
`boolean` | `isNamespaceAware()` Delegates to the contained `DocumentBuilder` instance for behavior.
`boolean` | `isValidating()` Delegates to the contained `DocumentBuilder` instance for behavior.
`org.w3c.dom.Document` | `newDocument()` Delegates to the contained `DocumentBuilder` instance for behavior.
`org.w3c.dom.Document` | `parse(java.io.File aFile)` Delegates to the contained `DocumentBuilder` instance for behavior.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource aSource)` Delegates to the contained `DocumentBuilder` instance for behavior.
`org.w3c.dom.Document` | `parse(java.io.InputStream aStream)` Delegates to the contained `DocumentBuilder` instance for behavior.
`org.w3c.dom.Document` | `parse(java.io.InputStream aStream, java.lang.String aSystemId)` Delegates to the contained `DocumentBuilder` instance for behavior.
`org.w3c.dom.Document` | `parse(java.lang.String aURI)` Delegates to the contained `DocumentBuilder` instance for behavior.
`void` | `setEntityResolver(org.xml.sax.EntityResolver aResolver)` Delegates to the contained `DocumentBuilder` instance for behavior.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler aHandler)` Delegates to the contained `DocumentBuilder` instance for behavior.

Methods inherited from class javax.xml.parsers.DocumentBuilder
`getSchema, isXIncludeAware, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POOL

    public static final java.lang.String POOL

  Name of the EPP XML Parser Pool managed by `GenericPoolManager`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPXMLParser

    public EPPXMLParser()

  Default constructor, which will create the contained `DocumentBuilder` and will set the default error handler (`EPPXMLErrorHandler`) and the default entity resolver (`EPPEntityResolver`).

### EPPXMLParser

    public EPPXMLParser(boolean validateSchema)

  Create a new EPPXMLParser with the specified validation setting.

  Parameters:
    `validateSchema` - Parser will perform schema validation if true and won't if false.

Method Detail

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`

### isNamespaceAware

    public boolean isNamespaceAware()

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

### isValidating

    public boolean isValidating()

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `isValidating` in class `javax.xml.parsers.DocumentBuilder`

### parse

    public org.w3c.dom.Document parse(java.io.File aFile)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Overrides:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public org.w3c.dom.Document parse(java.io.InputStream aStream)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Overrides:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource aSource)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public org.w3c.dom.Document parse(java.io.InputStream aStream,
                                      java.lang.String aSystemId)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Overrides:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public org.w3c.dom.Document parse(java.lang.String aURI)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Overrides:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver aResolver)

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler aHandler)

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

### newDocument

    public org.w3c.dom.Document newDocument()

  Delegates to the contained `DocumentBuilder` instance for behavior.

  Specified by:
    `newDocument` in class `javax.xml.parsers.DocumentBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.